/wellinitialproductionrates#
Initial production rates for oil and gas wells
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/wellinitialproductionrates |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/wellinitialproductionrates" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
well_initial_production_rates_resp = hyperion_api_client.well_initial_production_rates()
well_initial_production_rates_df = well_initial_production_rates_resp.df()
well_initial_production_rates_df.head()
# Example of a Windows PowerShell request to the well_initial_production_rates endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"wellpad_id`":[`"449677`"],`"well_id`":[`"0014081712000`"],`"is_canadian_batch`":true}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/wellinitialproductionrates' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
is_canadian_batch |
boolean |
Whether the well is part of a Canadian batch. If not specified, the well is not part of a Canadian batch. |
— |
well_id |
string array |
Subregion divisions based on natural gas production profiles |
14081712000 |
wellpad_id |
string array |
The unique identifier for the wellpad |
449677 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
ipr_gas |
number |
Initial production rate for gas in mcf/day |
— |
ipr_oil |
number |
Initial production rate for oil in bbl/day |
— |
well_id |
string |
A well identifier |
14081712000 |
wellpad_id |
integer |
The unique identifier for the wellpad |
717476 |